T2_liver_15T = 46; %ms de Bazelaire et al., https://pubs.rsna.org/doi/10.1148/radiol.2303021331
T2_liver_3T = 34; %ms 
T1_liver_15T = 586; %ms 
T1_liver_3T = 809; %ms 

% T2 times from Table 1
T2_venous_15T = 148; %ms
T2_arterial_15T = 207; %ms
T2_venous_3T = 48; %ms
T2_arterial_3T = 111; %ms

% T1 times from Table 2
T1_venous_15T = 1434; %ms
T1_arterial_15T = 1435; %ms
T1_venous_3T = 1584; %ms
T1_arterial_3T = 1664; %ms

TE = 100; % ms Riexinger et al., https://onlinelibrary.wiley.com/doi/10.1002/jmri.26730 
TR = 2500; % ms

% weights
w_15T_a = exp(-TE/T2_arterial_15T) * (1-exp(-TR/T1_arterial_15T)) % weights 1.5 T
w_15T_v = exp(-TE/T2_venous_15T) * (1-exp(-TR/T1_venous_15T))
w_15T_l = exp(-TE/T2_liver_15T) * (1-exp(-TR/T1_liver_15T))

w_3T_a = exp(-TE/T2_arterial_3T) * (1-exp(-TR/T1_arterial_3T)) %weights 3 T
w_3T_v = exp(-TE/T2_venous_3T) * (1-exp(-TR/T1_venous_3T))
w_3T_l = exp(-TE/T2_liver_3T) * (1-exp(-TR/T1_liver_3T))


% case 1, fv = fa
fa = 0.04;
fv = 0.04;

f_15T = (fa*w_15T_a+fv*w_15T_v) / (fa*w_15T_a+fv*w_15T_v+(1-fa-fv)*w_15T_l)
f_3T = (fa*w_3T_a+fv*w_3T_v) / (fa*w_3T_a+fv*w_3T_v+(1-fa-fv)*w_3T_l)

f_15T/f_3T % = 1.0049, fits to Riexinger et al., https://onlinelibrary.wiley.com/doi/10.1002/jmri.26730 


% case 2, fv = 4*fa
fa = 0.02;
fv = fa*4;

f_15T = (fa*w_15T_a+fv*w_15T_v) / (fa*w_15T_a+fv*w_15T_v+(1-fa-fv)*w_15T_l)
f_3T = (fa*w_3T_a+fv*w_3T_v) / (fa*w_3T_a+fv*w_3T_v+(1-fa-fv)*w_3T_l)

f_15T/f_3T % = 1.2672, does not fit to Riexinger et al., https://onlinelibrary.wiley.com/doi/10.1002/jmri.26730 



